import 'Vue' from 'vue'
import 'Vuex' from 'vuex'

Vue.use(Vuex) 
const store = new Vuex.Store({
	state:{
		userName:'',
		hasLogin:false
	},
	//mutations 是操作state中变量的方法
	mutations:{
		// login(state,name){  //登录成功修改 全局变量
		// 	state.userName= name;
		// 	state.hasLogin= true;
		// },
		// loginOut(state){     //退出登录修改 全局变量
		// 	state.userName= '';
		// 	state.hasLogin= false;
		// }
	}
})
